<ng-template appRef></ng-template>
<nav class="navbar">
   <h1>Angular Dynamic components</h1>
</nav>

<div class="container">
   <div class="card">

      <h1>Some content</h1>

      <button class="btn" (click)="showModal()">Show modal</button>

      <!-- <app-modal *ngIf="modal" title="Modal window" (close)="modal = false"></app-modal> -->

   </div>
</div>